Subject: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Andrea Corallo <[email-masked]>
Date: Fri, 10 Feb 2023 16:46:57 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 09 Feb 2023 01:57:50 +0000
>> From: Gregory Heytings <[email-masked]>
>> cc: [email-masked], [email-masked]
>> 
>> 
>> As promised, I worked on this.  Alas, while doing that I found out that 
>> the existing code had a grave bug, which I corrected.  However, this 
>> touches src/bytecode.c, lisp/emacs-lisp/bytecomp.el and src/comp.c, so I'm 
>> (to say the least) uncomfortable pushing that fix to emacs-29.  The result 
>> of the bug fix, a few renames, the documentation update, and an added 
>> test, is in scratch/fix-locked-narrowing.  I did a make bootstrap and a 
>> make check after each step, all of them succeeded.
>
> Thanks.
>
> Please describe the bug you discovered and the changes made to fix it
> (and maybe also alternatives if you considered them).  It is not easy
> to glean that information from the changes, as they involve also
> renaming of variables (which, at this late stage, I don't think you
> should have done without discussion, btw), documentation changes, and
> perhaps more.
>
> Also, did you test this both with and without native-compilation?
>
> Andrea, could you please see if the changes on that branch are okay as
> far as native-compilation is concerned?

As far as I can see LGTM.  The branch should be okay as long as it's
bootstrapped and we have no regressions in the testsuite.

Best Regards

  Andrea